Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Unique_Id_Strategy Class Reference

`#include <Active_Object_Map.h>`

Inheritance diagram for TAO_Unique_Id_Strategy

[legend]
Collaboration diagram for TAO_Unique_Id_Strategy:

[legend]
List of all members.

## Public Methods
virtual int | is_servant_in_map (PortableServer::Servant servant, int &deactivated)
virtual int | unbind_using_user_id (const PortableServer::ObjectId &user_id)
virtual int | find_user_id_using_servant (PortableServer::Servant servant, PortableServer::ObjectId_out user_id)
virtual int | find_system_id_using_servant (PortableServer::Servant servant, PortableServer::ObjectId_out system_id, CORBA::Short &priority)
virtual int | bind_using_user_id (PortableServer::Servant servant, const PortableServer::ObjectId &user_id, CORBA::Short priority, TAO_Active_Object_Map::Map_Entry *&entry)
virtual CORBA::Boolean | remaining_activations (PortableServer::Servant servant)

## Member Function Documentation

int TAO_Unique_Id_Strategy::bind_using_user_id ( | PortableServer::Servant servant,
| const PortableServer::ObjectId & user_id,
| CORBA::Short priority,
| TAO_Active_Object_Map::Map_Entry *& entry )`[virtual]`

| Reimplemented from TAO_Id_Uniqueness_Strategy.

int TAO_Unique_Id_Strategy::find_system_id_using_servant ( | PortableServer::Servant servant,
| PortableServer::ObjectId_out system_id,
| CORBA::Short & priority )`[virtual]`

| Reimplemented from TAO_Id_Uniqueness_Strategy.

int TAO_Unique_Id_Strategy::find_user_id_using_servant ( | PortableServer::Servant servant,
| PortableServer::ObjectId_out user_id )`[virtual]`

| Reimplemented from TAO_Id_Uniqueness_Strategy.

int TAO_Unique_Id_Strategy::is_servant_in_map ( | PortableServer::Servant servant,
| int & deactivated )`[virtual]`

| Reimplemented from TAO_Id_Uniqueness_Strategy.

CORBA::Boolean TAO_Unique_Id_Strategy::remaining_activations ( | PortableServer::Servant servant )`[virtual]`

| Reimplemented from TAO_Id_Uniqueness_Strategy.

int TAO_Unique_Id_Strategy::unbind_using_user_id ( | const PortableServer::ObjectId & user_id )`[virtual]`

| Reimplemented from TAO_Id_Uniqueness_Strategy.

The documentation for this class was generated from the following files:

- Active_Object_Map.h
- Active_Object_Map.cpp